/******************************************************************/
/*                                                                */
/* Copyright (C) 1994 - 2005, Micromuse, Ltd.                     */
/* All Rights Reserved                                            */
/*                                                                */
/*----------------------------------------------------------------*/
/*                                                                */
/* THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE                    */
/* The copyright notice above does not evidence any               */
/* actual or intended publication of such source code.            */
/*                                                                */
/* RESTRICTED RIGHTS:                                             */
/*                                                                */
/* This file may have been supplied under a license.              */
/* It may be used, disclosed, and/or copied only as permitted     */
/* under such license agreement. Any copy must contain the        */
/* above copyright notice and this restricted rights notice.      */
/* Use, copying, and/or disclosure of the file is strictly        */
/* prohibited unless otherwise provided in the license agreement. */
/*                                                                */
/******************************************************************/

/**
********************************************************************************
*
* CleanUpDataDirectory()
*
* Function to clean up the MySQL data directory when MySQL is uninstalled.  If
* this is not done, it can prevent reinstallation of MySQL, because the old root
* password will be remembered, stopping the install script from configuring the
* database.
*
********************************************************************************
*/
function CleanUpDataDirectory()
{
    var logger = Components.classes["@micromuse.com/NCILog;1"].
        getService(Components.interfaces.nsINCILog);

    var propMgr = Components.classes["@micromuse.com/NCIProperties;1"].
        getService(Components.interfaces.nsINCIProperties);

    try
    {
        var ncHome = propMgr.GetProp("$NCHOME").value;

        var separator = "/";
        if (ncipackage.shortArch == "win32")
        {
            separator = "\\";
        }

        var dataDirName = ncHome + separator + "platform" + separator
                        + ncipackage.shortArch + separator + "mysql4.1"
                        + separator + "data";

        var dataDir = Components.classes["@mozilla.org/file/local;1"].
            createInstance(Components.interfaces.nsILocalFile);
        dataDir.initWithPath(dataDirName);

        if (dataDir.exists())
        {
            dataDir.remove(true);
        }

        if (logger)
        {
            logger.info("Removed MySQL data directory " + dataDirName);
        }
    }
    catch(e)
    {
        if (logger)
        {
            logger.error(e);
            logger.error("Unable to remove the MySQL data directory.  "
                       + "Please remove this directory manually.");
        }
    }
}

